/*
File Name: TimerGOC.h
Created By: Andy Odle
Date: Dec 19, 2009

Description: 
    
*/

#ifndef TimerGOC_h
#define TimerGOC_h

class TimerGOC
{
    public:
        
        TimerGOC();
        ~TimerGOC();
        
        bool SecTimerTriggered(int secondsTillTimerIsTriggered_p = 0, 
                               unsigned long totalElapsedSeconds_p = 0, 
                               bool isEndless_p = false);

        bool MilTimerTriggered(float milSecTillTimerIsTriggered_p = 0, 
                               unsigned long totalElapsedMilSec_p = 0, 
                               bool isEndless_p = false);
    private:

         // Second timer variable.
        unsigned long secStartTime_m;    
        bool secTimerStarted_m;
        bool secTimerTriggered_m;

        // Millisecond timer variabes.
        unsigned long milStartTime_m;    
        bool milTimerStarted_m;
        bool milTimerTriggered_m;
};

#endif
